
/*****************************************************
* MINI CART - STYLES
*************************************************** */
/* pendientes de revision */
.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-components-product-badge {
    display: none!important;
}

body .wc-block-components-button:not(.is-link):focus {
    outline: none!important;
}
body h2 .wp-block-woocommerce-mini-cart-title-block.wc-block-mini-cart__title {
    color: var(--black);

    /* Desktop/Heading/H3 */
    font-size: 24px;
    font-style: normal;
    font-weight: 500;
    line-height: 30px; /* 125% */
    letter-spacing: 1px;
    text-transform: uppercase;
}
body .wc-block-mini-cart__drawer .wc-block-mini-cart__template-part .wp-block-woocommerce-filled-mini-cart-contents-block {
    padding: 0 40px!important;
}

body .wc-block-mini-cart__drawer .wc-block-mini-cart__template-part h2.wp-block-woocommerce-mini-cart-title-block.wc-block-mini-cart__title {
    padding-top: 56px;
    padding-bottom: 40px;
    margin: 0;
}
body .wc-block-mini-cart__drawer .wc-block-mini-cart__template-part .wp-block-woocommerce-mini-cart-items-block.wc-block-mini-cart__items {
    padding: 0;
}
body .wc-block-mini-cart__drawer .wc-block-mini-cart__template-part h2 .wp-block-woocommerce-mini-cart-title-label-block{
    text-transform: uppercase;
    color: var(--black);
}

body .wc-block-mini-cart__drawer .wc-block-mini-cart__template-part h2 .wp-block-woocommerce-mini-cart-title-items-counter-block{
    color: var(--black);
}

/* Contendor del item (fila) */
.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row {
    display: grid;
    grid-template-columns: 120px 1fr; /* img - info - total */
    grid-gap: 24px;
    align-items: start;
    padding: 16px 0;
    border-bottom: 1px solid #eee;
}

.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row:last-child{
    padding-bottom: 0;
}

.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row:first-child{
    padding-top: 0;
}

/* Imagen */
.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-cart-item__image {
    padding: 0;
    width: 100%;
}
.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-cart-item__image img {
    display: flex;
    width: 120px;
    height: 120px;
    padding: 16px 0;
    justify-content: center;
    align-items: center;
    gap: 4.444px;
    object-fit: cover;
}

/* Contenido del producto */
.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-cart-item__product {
    /*display: flex;*/
    /*flex-direction: column;*/
}

.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-cart-item__product .wc-block-cart-item__wrap {
    display: grid;
    grid-template-columns: 1fr auto;
    grid-template-rows: 1fr 2fr 30px;
    grid-template-areas:
        "p-title p-price"
        "p-metadatos p-price"
        "p-cantidad p-cantidad";

}
.wc-block-mini-cart__template-part table.wc-block-cart-items .wc-block-components-product-metadata .wc-block-components-product-details {
    color: var(--gray-700) !important;
    margin-top: 0!important;
    font-size: 14px!important;
}
.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-cart-item__product .wc-block-cart-item__wrap > * {
    margin: 0;
}

/* Estilos individuales */
.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-components-product-name {
    color: var(--black);
    grid-area: p-title;
    /* Desktop/Text/Titles */
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 30px; /* 187.5% */
    letter-spacing: 0.5px;
    margin-bottom: 0;
}
/* Agregar ellipsis para titulos muy largos */
.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-components-product-name {
    display: block;
    max-width: 285px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-components-product-metadata {
    grid-area: p-metadatos;
    margin-bottom: 16px;
}
.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-cart-item__prices {
    grid-area: p-price;
    font-weight: 600;
}

.wc-block-mini-cart__template-part span.price.wc-block-components-product-price {
    display: flex;
    flex-direction: column;
    align-items: flex-end;

    color: var(--black);

    /* Desktop/Text/Titles */
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 30px; /* 187.5% */
    letter-spacing: 0.5px;
}

.wc-block-mini-cart__template-part span.price.wc-block-components-product-price .wc-block-components-product-price__regular {
    color: #919191;
}
.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-cart-item__total {
    display: none;
}

.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-components-product-metadata__description p {
    color: var(--gray-700);

    /* Desktop/Text/body-small */
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px; /* 128.571% */
    letter-spacing: 0.5px;
}

.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-cart-item__wrap .wc-block-cart-item__quantity {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 8px;
    margin-top: 12px;
    padding: 0;
    grid-area: p-cantidad;
}

.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-components-quantity-selector {
    display: flex;
    align-items: center;
    gap: 4px;
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px; /* 142.857% */
    letter-spacing: 2px;
    text-transform: uppercase;
    margin: 0;
    max-height: 24px;
}
.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-components-quantity-selector:after {
    border: none;
}

.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-components-quantity-selector__input {

}

.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-components-quantity-selector__button {
    color: var(--black);
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px; /* 142.857% */
    letter-spacing: 2px;
    text-transform: uppercase;
}

.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-cart-item__remove-link {
    font-size: 0!important; /* oculta texto */
}

.wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-cart-item__remove-link::before {
    content: "Eliminar";
    font-size: 14px; /* mismo tamaño original */
}
/**
    EMPTY MINI CART STYLES
 */
.wc-block-mini-cart__empty-cart-wrapper {
    display: flex;
    flex-direction: column;
    gap: 24px;
}
button.wc-block-mini-cart__button:hover:not([disabled]){
    background: transparent;
}
.wp-block-button a {
    padding: 24px;
}
button.wc-block-mini-cart__button {
    padding-right: 30px;
    background: none!important;
}
button.wc-block-mini-cart__button:hover,
button.wc-block-mini-cart__button:focus{
    color: var(--gray-900)!important;
}
button.wc-block-mini-cart__button .wc-block-mini-cart__icon {
    width: 24px;
    height: 24px;
}
button.wc-block-mini-cart__button .wc-block-mini-cart__badge {
    top: 50%;
    right: 0;
    transform: translate(15px, -50%);
    font-size: 14px;
    font-weight: 400;
    color: var(--gray-900);
    background-color: unset;
    line-height: 15px;
}

button.wc-block-mini-cart__button .wc-block-mini-cart__badge:after{
    content: ')';
}
button.wc-block-mini-cart__button .wc-block-mini-cart__badge:before {
    content: '(';
}
button.wc-block-mini-cart__button .wc-block-mini-cart__badge:before,
button.wc-block-mini-cart__button .wc-block-mini-cart__badge:after {
    width: 23px;
    height: 18px;
    transform: translateY(2px);
}



/* MINI-CART SUBTOTAL SECTION*/
.wc-block-components-totals-item.wc-block-mini-cart__footer-subtotal .wc-block-components-totals-item__label ,
.wc-block-components-totals-item.wc-block-mini-cart__footer-subtotal .wc-block-formatted-money-amount {
    color: var(--black);

    /* Desktop/Heading/H4 */
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 28px; /* 140% */
    letter-spacing: 2px;
    text-transform: uppercase;
}

.wp-block-woocommerce-mini-cart-footer-block.wc-block-mini-cart__footer::after {
    content: unset;
}


.wc-block-mini-cart__footer .wc-block-mini-cart__footer-actions .wp-block-woocommerce-mini-cart-checkout-button-block{
    display: flex;
    padding: 16px 40px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    align-self: stretch;
}

.wc-block-mini-cart__footer .wc-block-mini-cart__footer-actions .wp-block-woocommerce-mini-cart-checkout-button-block .wc-block-components-button__text{
    font-style: normal;
    font-weight: 600;
    line-height: 20px; /* 142.857% */
    letter-spacing: 2px;
    text-transform: uppercase;
}


/*****************************************************
* EMPTY MINI CART - STYLES
*************************************************** */
.wc-block-mini-cart__template-part .wp-block-woocommerce-mini-cart-contents .wc-block-mini-cart__empty-cart-wrapper.customized {
    display: flex;
    padding: 56px 144px 56px 24px;
    flex-direction: column;
    align-items: flex-start;
    gap: 40px;
}

.wc-block-mini-cart__template-part .wp-block-woocommerce-mini-cart-contents .wc-block-mini-cart__empty-cart-wrapper.customized .wc-block-mini-cart__empty-cart-message {
    display: flex;
    padding: 40px 0;
    flex-direction: column;
    align-items: flex-start;
    gap: 40px;
    align-self: stretch;
}
.wc-block-components-drawer__close-wrapper .wc-block-components-button.wc-block-components-drawer__close {
    top: 70px;
    right: 56px;
    padding: 0 !important;
}


/*****************************************************
* RESPONSIVE - STYLES
*************************************************** */
@media (max-width: 768px){
    .wc-block-components-drawer__close-wrapper .wc-block-components-button.wc-block-components-drawer__close {
        right: 30px;
    }
    body .wc-block-mini-cart__drawer .wc-block-mini-cart__template-part .wp-block-woocommerce-filled-mini-cart-contents-block{
        padding: 0 16px !important;
    }
    .wc-block-mini-cart__template-part span.price.wc-block-components-product-price{
        align-items: flex-start;
    }
    .wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row{
        grid-gap: 16px;
    }

    body .wc-block-mini-cart__drawer .wc-block-mini-cart__template-part h2 .wp-block-woocommerce-mini-cart-title-label-block,
    body .wc-block-mini-cart__drawer .wc-block-mini-cart__template-part h2 .wp-block-woocommerce-mini-cart-title-items-counter-block{
        line-height: 26px;
        font-size: 20px;
    }
    body .wc-block-mini-cart__drawer .wc-block-mini-cart__template-part h2.wp-block-woocommerce-mini-cart-title-block.wc-block-mini-cart__title{
        padding-top: 24px;
        padding-bottom: 24px;
    }
    .wc-block-components-drawer__close-wrapper .wc-block-components-button.wc-block-components-drawer__close{
        top: 30px;
        right: 24px;
    }

}
@media (max-width: 480px) {

    body .wp-block-woocommerce-filled-mini-cart-contents-block {
        padding: 0!important;
    }

    h2.wp-block-woocommerce-mini-cart-title-block.wc-block-mini-cart__title {
        padding-top: 16px;
    }

    .wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-cart-item__product .wc-block-cart-item__wrap{
        grid-template-columns: 1fr;
        grid-template-rows: auto;
        grid-template-areas:
        "p-title    "
        "p-metadatos"
        "p-price    "
        "p-cantidad ";
    }

    .wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row {
        grid-template-columns: 100px 1fr;
    }

    .wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-components-product-metadata__description p {
        font-size: 12px;
    }
    .wc-block-mini-cart__template-part table.wc-block-cart-items .wc-block-components-product-metadata .wc-block-components-product-details {
        font-size: 12px!important;
    }
    .wc-block-mini-cart__template-part table.wc-block-cart-items tbody tr.wc-block-cart-items__row .wc-block-components-product-name {
        max-width: 170px;
    }

    .wc-block-mini-cart__template-part .wp-block-woocommerce-mini-cart-contents .wc-block-mini-cart__empty-cart-wrapper.customized {
        display: flex;
        padding: 56px 24px 56px 24px;
        gap: 20px;
    }

    .wc-block-mini-cart__template-part span.price.wc-block-components-product-price{
        margin-top: 8px
    }
}